/** Shopify CDN: Minification failed

Line 12:9 Expected identifier but found whitespace
Line 12:10 Unexpected "0.1rem"
Line 101:0 Unexpected "}"
Line 105:14 Expected identifier but found whitespace
Line 105:15 Unexpected "var("
Line 123:10 Expected identifier but found whitespace
Line 123:11 Unexpected "rgb("

**/
  border: 0.1rem solid rgb(var(--color-line-border)); 
  border-radius: var(--radius-input);
  color: rgb(var(--color-foreground2));
  max-height: 85vh;
  overflow: auto;
  border-radius: var(--radius-xs);
}
  --spacing-x:0;
  --spacing-y:0;
}
  line-height: 1.4;
} */
  font-size: var(--text-lg);
}
  position: absolute;
  top:50%;
  transform: translateY(-50%);
}
  padding: var(--spacing-1-6) var(--spacing-1);
  word-break: break-word;
  min-width:18rem;
  flex: 1!important;
}
  border-inline-end: 0.1rem solid rgb(var(--color-line-border));
}
  background-color: rgb(var(--color-foreground)/.05);
}
  flex: 1;
  width: 100%;
}
  margin-top:auto;
}

  padding: var(--spacing-1-8) 0;
}
  border-radius: var(--radius-product-card);
}
  color:rgb(var(--color-custom-badge-background));
}
  margin-inline-end: var(--spacing-0-8);
  position: relative;
  top: -0.1rem;
}

  margin-top: var(--spacing-2);
}
  display: flex;
  align-items: center;
  justify-content: center;
  gap: var(--spacing-1);
  width: 4.2rem;
  min-height: 4.2rem;
  border: 1px solid rgb(var(--color-line-border));
  border-radius: var(--radius-button);
  transition: all .3s ease;
  position: relative;
}
  font-size: var(--text-sm);
  font-weight: var(--font-bold);
  text-transform: uppercase;
  line-height: 1;
  display: none;
}
  content: "";
  position: absolute;
  z-index: 2;
  width: 1.8rem;
  height: 1.8rem;
  border-radius: 100%;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  border: solid 0.2rem currentColor;
  border-top-color: transparent;
  animation: hdt_rotator .6s linear infinite var(--hdt-anim-state, paused);
  opacity: 0;
}
  opacity: 1;
  --hdt-anim-state: running;
}
  opacity: 0;
}
  margin-top: var(--spacing-3);
}
@media(min-width:768px){
    min-width:30rem;
  }
}
@media(min-width:1150px){
    font-size: var(--text-lg);
  }
    font-size: var(--text-2xl);
  }
    min-width:36rem;
    padding-inline-start:var(--spacing-3-4); 
    padding-inline-end:var(--spacing-3-4); 
  }
    margin-bottom: var(--spacing-2-4);
  }
    width: 100%;
    padding: 0 1rem;
  }
    display: block;
  }
}
@media (-moz-touch-enabled: 0), (hover: hover) and (min-width: 1150px){
    color: rgb(var(--color-accent));
    border-color: rgb(var(--color-accent));
  }
    color: rgb(var(--color-accent));
  }

}



.hdt-main-search{
  .hdt-main-search-content{
    width: min(700px,100%);
    margin: 0 auto;
    margin-top: 90px;
    margin-bottom: 60px;
    @media (max-width: 768px){
      margin-top: 40px;
      margin-bottom: 40px;
    }
    .hdt-search-head{
      margin-bottom: 15px;
      .hdt-search-input{
        border-radius: 0px;
        border-inline-end: 0px;
        height: 44px;
      }
      .hdt-mini-search__submit{
        width: 50px;
        border-radius: 0px;
        height: 44px;
        padding: 5px;
        svg{
          width: 18px;
          .dir--ltr &{
            transform: rotateY(180deg);
          }
        }
      }
    }
    .hdt-search-suggest{
      .hdt-search-content-title{
        padding: 15px;
        background-color: rgb(var(--color-background2)/.5);
        text-transform: uppercase;
        border: 1px solid rgb(var(--color-line-border));
      }
      .hdt-suggest-products{
        --spacing-x: 0px;
        --spacing-y: 0px;
        border-inline-start: 1px solid rgb(var(--color-line-border));
        .hdt-loop-item .hdt-loop-inner{
          padding: 15px;
          border-inline-end: 1px solid rgb(var(--color-line-border));
          border-block-end: 1px solid rgb(var(--color-line-border));
        }
      }
      .hdt-search-suggest-bottom{
        padding: 15px;
        border: 1px solid rgb(var(--color-line-border));
        border-block-start: 0px;
        a{
          text-transform: uppercase;
          gap: 5px;
          font-weight: var(--font-medium);
          transition: all .3s ease;
          &:hover{
            color: rgb(var(--color-accent));
            gap: 10px;
          }
        }
      }
    }
  }
  .hdt-article-item{
    .hdt-article-thumb{
      border-radius: var(--radius-product-media);
    }
    .hdt-article-title{
      margin-top: 15px;
    }
  }
  .hdt-page-item-inner{
    .hdt-page-label{
      background-color: rgb(var(--color-background2)/.5);
      color: rgb(var(--color-foreground));
      display: flex;
      align-items: center;
      justify-content: center;
      border-radius: var(--radius-product-media);      
    }
    .hdt-page-title{
      margin-top: 15px;
    }
  }
  .hdt-search-empty{
    padding: 10rem 0;
    @media (max-width: 768px){
      padding: 5rem 0;
    }
    svg#icon-h-search {
      width: 90px;
      height: auto;
    }
    
  }
}
.hdt-list-view{
  .hdt-article-inner{
    padding: 20px 10px;
    gap: 15px;
    border: solid 1px rgb(var(--color-line-border));
    grid-template: auto auto / max(min(40%, 180px), 120px) auto auto;
    align-items: flex-start;
    display: grid;
    @media (min-width: 768px) {
      &{
          padding: 20px;
          gap: 10px 30px;
          grid-template: auto auto / max(min(40%, 150px), 120px) auto max(min(40%, 220px), 120px);
      }
    }
    @media (min-width: 1150px) {
      &{
          padding: 20px;
          gap: 10px 30px;
          grid-template: auto auto / max(min(40%, 180px), 120px) auto max(min(40%, 220px), 120px);
      }
    }
   .hdt-article-thumb{
      min-width: 80px;
      width: 100%;
      max-width: 180px;
      grid-column-start: 1;
      grid-row-start: 1;
      grid-row-end: 3;
    }
    .hdt-article-content_wapper{
      grid-column-start: 2;
      grid-column-end: 3;
      grid-row-start: 1;
      grid-row-end: 3;
      height: 100%;
      display: flex;
      flex-direction: column;
      .hdt-article-title{
        margin-top: 0;
      }
    }
  }
}